import { ElementRef, OnInit } from '@angular/core';
import { FocusableOption, FocusOrigin } from '@angular/cdk/a11y';
export declare class DropdownItemComponent implements OnInit, FocusableOption {
    private element;
    label: string;
    disabled: boolean;
    set setDisabled(value: boolean);
    get tabindex(): 0 | -1;
    role: 'menuitem' | 'menuitemradio' | 'menuitemcheckbox';
    constructor(element: ElementRef<HTMLElement>);
    ngOnInit(): void;
    getLabel(): string;
    focus(origin?: FocusOrigin): void;
}
